/*
 * Copyright (c) 2007, 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: PricedPartProductListener.java 65615 2012-03-29 19:02:39Z sdimilla $
 */

package com.sun.ts.tests.jpa.core.callback.inheritance;

import com.sun.ts.tests.jpa.core.callback.common.CallbackStatusIF;
import com.sun.ts.tests.jpa.core.callback.common.GenerictListener;
import com.sun.ts.tests.jpa.core.callback.common.GenerictListenerImpl;

public class PricedPartProductListener extends GenerictListener {
    
    public PricedPartProductListener() {
        super();
    }
    
    public void prePersist(CallbackStatusIF b) {
        GenerictListenerImpl.logTrace("In PricedPartProductListener.prePersist.", b);
        throw new IllegalStateException("This is not a callback and should never be called.");
    }
}
